﻿using System.ComponentModel.DataAnnotations;

namespace UniversityDatabaseImplement.Models
{
    public class StudentExaminationResult
    {
        public int Id { get; set; }
        [Required]
        public int ExaminationResultId { get; set; }
        [Required]
        public int StudentId { get; set; }
        public virtual ExaminationResult ExaminationResult { get; set; } = new();
        public virtual Student Student { get; set; } = new();
    }
}
