﻿using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IDisciplineStorage
    {
        List<DisciplineViewModel> GetFullList();
        List<DisciplineViewModel> GetFilteredList(DisciplineSearchModel model);
        DisciplineViewModel? GetElement(DisciplineSearchModel model);
        DisciplineViewModel? Insert(DisciplineBindingModel model);
        DisciplineViewModel? Update(DisciplineBindingModel model);
        DisciplineViewModel? Delete(DisciplineBindingModel model);
    }
}
