﻿using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IReportTypeStorage
    {
        List<ReportTypeViewModel> GetFullList();
        List<ReportTypeViewModel> GetFilteredList(ReportTypeSearchModel model);
        ReportTypeViewModel? GetElement(ReportTypeSearchModel model);
        ReportTypeViewModel? Insert(ReportTypeBindingModel model);
        ReportTypeViewModel? Update(ReportTypeBindingModel model);
        ReportTypeViewModel? Delete(ReportTypeBindingModel model);
    }
}
